Package org.apache.struts2.config_browser

# Class ShowValidatorAction

java.lang.Object
org.apache.struts2.ActionSupport
org.apache.struts2.config_browser.ListValidatorsAction
org.apache.struts2.config_browser.ShowValidatorAction

All Implemented Interfaces:
  `Serializable`, `Action`, `ValidationAware`, `LocaleProvider`, `TextProvider`, `Validateable`

public class ShowValidatorAction extends ListValidatorsAction
ShowValidatorAction

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ShowValidatorAction.PropertyInfo`

- ## Field Summary

  ### Fields inherited from class org.apache.struts2.ActionSupport

  `container`

  ### Fields inherited from interface org.apache.struts2.action.Action

  `ERROR, INPUT, LOGIN, NONE, SUCCESS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShowValidatorAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `execute()`
  `Set`
  `getProperties()`
  `int`
  `getSelected()`
  `Validator`
  `getSelectedValidator()`
  `void`
  `setReflectionContextFactory(ReflectionContextFactory fac)`
  `void`
  `setReflectionProvider(ReflectionProvider prov)`
  `void`
  `setSelected(int selected)`

  ### Methods inherited from class org.apache.struts2.config_browser.ListValidatorsAction

  `getClazz, getContext, getValidators, index, loadValidators, setActionValidatorManager, setClazz, setContext, stripPackage, stripPackage`

  ### Methods inherited from class org.apache.struts2.ActionSupport

  `addActionError, addActionMessage, addFieldError, clearActionErrors, clearErrors, clearErrorsAndMessages, clearFieldErrors, clearMessages, clone, getActionErrors, getActionMessages, getContainer, getFieldErrors, getFormatted, getLocale, getLocaleProvider, getText, getText, getText, getText, getText, getText, getText, getText, getText, getTextProvider, getTexts, getTexts, hasActionErrors, hasActionMessages, hasErrors, hasFieldErrors, hasKey, input, isValidLocale, isValidLocaleString, pause, setActionErrors, setActionMessages, setContainer, setFieldErrors, toLocale, validate`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ShowValidatorAction

    public ShowValidatorAction()

- ## Method Details

  - ### setReflectionProvider

    public void setReflectionProvider(ReflectionProvider prov)

  - ### setReflectionContextFactory

    public void setReflectionContextFactory(ReflectionContextFactory fac)

  - ### getSelected

    public int getSelected()

  - ### setSelected

    public void setSelected(int selected)

  - ### getProperties

    public Set getProperties()

  - ### getSelectedValidator

    public Validator getSelectedValidator()

  - ### execute

    public String execute() throws Exception
    Specified by:
      `execute` in interface `Action`
    Overrides:
      `execute` in class `ListValidatorsAction`
    Throws:
      `Exception`